# Marquee Widgets

Marquee currently supports a broad set of widgets that help you build your own custom homescreen. You can define various of homescreens depending on the mood and situation. Every widget comes with its own configurations and and their size and position can be easily modified.

## Mailbox Widget

The Mailbox widget is a communication channel between the extension developers and users of Marquee. You will find announcement as well as tipps and tricks around VSCode and Marquee.

<img src="https://marquee-seven.vercel.app/assets/widgets/mailbox.png" alt="Mailbox Widget" width="600" />

## Projects Widget

Keeping up with all the workspaces can be challenging. Marquee helps you to stay organised and lists them for you so you can switch around all your projects easily.

<img src="https://marquee-seven.vercel.app/assets/widgets/projects.png" alt="Projects Widget" width="600" />

### Features

- Automatically detects new workspaces you are opening
- See how many todos, notes and snippets you created for this workspace
- Add workspaces through "+" button or find new workspaces on your file system
- Search for specific workspaces
- Remove projects using the toolbar or by opening the context menu

## News Widget

Stay updated on latest [Hackernews](https://news.ycombinator.com/) gossip and headlines without leaving your editor when you need a break. You can switch between various HN channels, e.g. `News`, `Newest`, `Ask`, `Show`, `Jobs` and `Best`.

<img src="https://marquee-seven.vercel.app/assets/widgets/news.png" alt="News Widget" width="600" />

## Weather Widget

Keep an eye on the local weather to know when it's time to head outside for a break, or to organize your day as the forecast changes.

<img src="https://marquee-seven.vercel.app/assets/widgets/news.png" alt="News Widget" width="600" />

### Features

- Switch temparature units between Celsius and Fahrenheit
- Change location or see weather information of your current geolocation

## Trending Widget

Don't miss out on the latest hyped GitHub projects anymore. This widget gives you the trending charts for GitHub projects based on language, spoken language and time span.

<img src="https://marquee-seven.vercel.app/assets/widgets/github.png" alt="GitHub Trending Widget" width="600" />

### Features

- Find trending projects based on programming language, spoken language or time span
- Search for trending projects

## ToDo Widget

Keep track of workspace-specific todos. Create, archive and complete todos from the todo widget or the tree view while you are deep in code.

<img src="https://marquee-seven.vercel.app/assets/widgets/todo.png" alt="Todo Widget" width="600" />

### Features

- Attach tags to certain todo so you can easily find them
- Search for specific todos by their content or tag
- All todos are visible in the Marquee tree view

## Snippets

The inter-workspace smart clipboard for your thoughts, code snippets, logs, or terminal traces. Anything you want to recall later. Highlight any piece of code you are working on and add them as a snippet so you can easily paste them everywhere later.

<img src="https://marquee-seven.vercel.app/assets/widgets/snippets.png" alt="Snippets Widget" width="600" />

### Features

- Support for code highlighting
- Allows to create snippets directly out of VSCode text files
- Easily paste a snippet into a document through the `Insert from Snippets` command
- Snippets can also be access from the Marquee tree view

## Notes

Create several notes for your development process that help you get back to information whenever needed and never forget a single thing again.

<img src="https://marquee-seven.vercel.app/assets/widgets/notes.png" alt="Notes Widget" width="600" />

## Markdown

Renders local and remote markdown files to help you navigate through the code base.

<img src="https://user-images.githubusercontent.com/64152453/167848878-acd86cb1-5e2e-422e-9842-d49ae37c4565.png" alt="Markdown Widget" width="600" />

### Features

- Format notes using a [WYSIWYG](https://en.wikipedia.org/wiki/WYSIWYG) editor
- Filter for certain notes
- Create notes directly from the command palette
